%define debug_package %{nil}

%define _version 5.2.12
%define _release 1
%define pyver 2.6
%define __description "Bacula is a set of Open Source, enterprise ready, computer programs that permit you (or the system administrator) to manage backup, recovery, and verification of computer data across a network of computers of different kinds."

Summary: Bacula - The Network Backup Solution
Name: bacula
Version: %{_version}
Release: %{_release}%{dist}
Group: System Environment/Daemons
License: GPL v2
Source0: http://www.prdownloads.sourceforge.net/bacula/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
URL: http://www.bacula.org/
Vendor: The Bacula Team
Packager: %{_packager}
Requires: openssl >= 0.9.8e
Requires: libstdc++ >= 4.1.2
Requires: python >= %{pyver}
Requires: readline >= 5.1
%ifarch x86_64
Provides: libbaccats-%{version}.so()(64bit)
%else %ifarch arm armv5tel armv6
Provides: libbaccats-%{version}.so
%else
Provides: libbaccats-%{version}.so()
%endif

#BuildRequires: qt, qt-devel
BuildRequires: tcp_wrappers-devel
BuildRequires: pkgconfig
BuildRequires: postgresql-devel >= 8.1
BuildRequires: mysql-devel >= 5.0
BuildRequires: sqlite-devel >= 3.3.6
BuildRequires: python-devel >= %{pyver}
BuildRequires: libacl-devel >= 2.2
BuildRequires: tcp_wrappers >= 7.6
BuildRequires: ncurses-devel >= 5.5
BuildRequires: readline-devel >= 5.1
BuildRequires: openssl-devel >= 0.9.8e

BuildRequires: gtk2-devel >= 2.10
BuildRequires: libgnomeui-devel >= 2.16
BuildRequires: libart_lgpl-devel >= 2.3
BuildRequires: libbonobo-devel >= 2.16
BuildRequires: libbonoboui-devel >= 2.16
BuildRequires: GConf2-devel >= 2.14
BuildRequires: freetype-devel >= 2.2

%description
%__description

%package postgresql
Summary: Bacula - Director PostgreSQL Libraries
Group: System Environment/Daemons
Requires: openssl >= 0.9.8e
Requires: libstdc++ >= 4.1.2
Requires: postgresql >= 8.1
Requires: python >= %{pyver}
Requires: bacula >= %{version}
Requires: bacula-director >= %{version}

%package mysql
Summary: Bacula - Director MySQL Libraries
Group: System Environment/Daemons
Requires: openssl >= 0.9.8e
Requires: libstdc++ >= 4.1.2
Requires: mysql >= 5.0
Requires: python >= %{pyver}
Requires: bacula >= %{version}
Requires: bacula-director >= %{version}

%package sqlite
Summary: Bacula - Director SQLite Libraries
Group: System Environment/Daemons
Requires: openssl >= 0.9.8e
Requires: libstdc++ >= 4.1.2
Requires: sqlite >= 3.3.6
Requires: python >= %{pyver}
Requires: bacula >= %{version}
Requires: bacula-director >= %{version}

%description postgresql
%__description

%description mysql
%__description

%description sqlite
%__description

%package director
Summary: Bacula - Director Daemon
Group: System Environment/Daemons
Requires: openssl >= 0.9.8e
Requires: libstdc++ >= 4.1.2
Requires: python >= %{pyver}
Requires: bacula >= %{version}

%description director
%__description

%package client
Summary: Bacula - Client
Group: System Environment/Daemons
Provides: bacula-fd, bacula-client
Requires: openssl >= 0.9.8e
Requires: libstdc++ >= 4.1.2
Requires: python >= %{pyver}
Requires: bacula >= %{version}

%description client
%__description

%package storage
Summary: Bacula - Storage Daemon
Group: System Environment/Daemons 
Provides: bacula-sd, bacula-storage
Requires: openssl >= 0.9.8e
Requires: libstdc++ >= 4.1.2
Requires: python >= %{pyver}
Requires: bacula >= %{version}

%description storage
%__description

%package console
Summary: Bacula - Console GUIs
Group: System Environment/Daemons
Provides: bconsole
Requires: openssl >= 0.9.8e
Requires: libstdc++ >= 4.1.2
Requires: python >= %{pyver}
Requires: bacula >= %{version}

%description console
%__description

#%package console-qt
#Summary: Bacula - Console GUIs
#Group: System Environment/Daemons
#Provides: bat
#Requires: openssl >= 0.9.8e
#Requires: libstdc++ >= 4.1.2
#Requires: python >= %{pyver}
#Requires: bacula >= %{version}

#%description console-qt
#%__description

%prep
#[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf $RPM_BUILD_ROOT

%setup

%build

%install
mkdir .bin
ln -s /usr/bin/qmake-qt4 .bin/qmake
export PATH=$(pwd)/.bin:${PATH}

%configure \
        --prefix=%{_prefix} \
        --sysconfdir=/etc/bacula \
        --with-scriptdir=/etc/bacula/scripts \
        --enable-smartalloc \
        --mandir=%{_mandir} \
        --with-python \
        --enable-lockmgr \
        --with-openssl \
        --enable-ipv6 \
        --enable-tray-monitor \
        --with-pic \
        --with-tcp-wrappers \
        --with-x \
        --disable-bat \
        --enable-build-dird=yes \
        --enable-build-stored=yes \
        --with-sqlite3 \
        --with-mysql \
        --with-postgresql \
        --with-working-dir=/var/bacula \
        --with-plugindir=/etc/bacula/plugins

make
make install DESTDIR=%{buildroot}

# cleanup none built bat bwxconsole interface manpages
[ -f %{buildroot}/usr/share/man/man1/bacula-bwxconsole* ] && rm -f %{buildroot}/usr/share/man/man1/bacula-bwxconsole*
[ -f %{buildroot}/usr/share/man/man1/bat* ] && rm -f %{buildroot}/usr/share/man/man1/bat*

# install init scripts
[ ! -d %{buildroot}/etc/rc.d/init.d/ ] && mkdir %{buildroot}/etc/rc.d/init.d/ -p
[ ! -d %{buildroot}%{_sysconfdir}/bacula/ ] && mkdir -p %{buildroot}%{_sysconfdir}/bacula/
install -m 0755 platforms/redhat/bacula-fd %{buildroot}%{_sysconfdir}/rc.d/init.d/
install -m 0755 platforms/redhat/bacula-sd %{buildroot}%{_sysconfdir}/rc.d/init.d/
install -m 0755 platforms/redhat/bacula-dir %{buildroot}%{_sysconfdir}/rc.d/init.d/
install -m 0640 src/dird/bacula-dir.conf %{buildroot}%{_sysconfdir}/bacula/bacula-dir.conf
install -m 0640 src/filed/bacula-fd.conf %{buildroot}%{_sysconfdir}/bacula/bacula-fd.conf
install -m 0640 src/stored/bacula-sd.conf %{buildroot}%{_sysconfdir}/bacula/bacula-sd.conf

# create gnome data
mkdir -p %{buildroot}%{_datadir}/pixmaps %{buildroot}%{_datadir}/applications %{buildroot}%{_sysconfdir}/security/console.apps %{buildroot}%{_sysconfdir}/pam.d %{buildroot}%{_bindir}

cp -p scripts/bacula.png %{buildroot}%{_datadir}/pixmaps/bacula.png
cp -p scripts/bacula.desktop.gnome2.consolehelper %{buildroot}%{_datadir}/applications/bacula.desktop

mkdir -p %{buildroot}%{_sysconfdir}/bacula/scripts
cp src/win32/cats/*.sql %{buildroot}%{_sysconfdir}/bacula/scripts/

%pre
[ ! "$(/usr/bin/getent passwd bacula | cut -f1 -d':')" == 'bacula' ] && /usr/sbin/useradd -c 'Bacula' -d /var/bacula -s /bin/bash bacula || echo ""

%post client
if [ -x /sbin/chkconfig ] ; then
    /sbin/chkconfig --add bacula-fd
    /sbin/chkconfig bacula-fd on
fi
%postun client
if [ -x /sbin/chkconfig ] ; then
    /sbin/chkconfig bacula-fd off 2>&1 >/dev/null
    /sbin/chkconfig --del bacula-fd 2>&1 >/dev/null
    /sbin/service bacula-fd stop 2>&1 >/dev/null
fi

%post storage
if [ -x /sbin/chkconfig ] ; then
    /sbin/chkconfig --add bacula-sd
    /sbin/chkconfig bacula-sd on
fi
%postun storage
if [ -x /sbin/chkconfig ] ; then
    /sbin/chkconfig bacula-sd off 2>&1 >/dev/null
    /sbin/chkconfig --del bacula-sd 2>&1 >/dev/null
    /sbin/service bacula-sd stop  2>&1 >/dev/null
fi

%post director
if [ -x /sbin/chkconfig ] ; then
    /sbin/chkconfig --add bacula-dir
    /sbin/chkconfig bacula-dir on
fi
%postun director
if [ -x /sbin/chkconfig ] ; then
    /sbin/chkconfig bacula-dir off 2>&1 >/dev/null
    /sbin/chkconfig --del bacula-dir 2>&1 >/dev/null
    /sbin/service bacula-dir stop 2>&1 >/dev/null
fi



%files
%defattr(-, root, root)
%{_sysconfdir}/bacula/scripts/*
%{_datadir}/doc
%{_mandir}/man1/bsmtp*
%{_libdir}/libbacpy.la
%{_libdir}/libbac.la
%{_libdir}/libbac-%{version}.so
%{_libdir}/libbaccfg-%{version}.so
%{_libdir}/libbacfind-%{version}.so
%{_libdir}/libbacpy-%{version}.so
%{_libdir}/libbac.so
%{_libdir}/libbaccfg.la
%{_libdir}/libbaccfg.so
%{_libdir}/libbacfind.la
%{_libdir}/libbacfind.so
%{_libdir}/libbacpy.so
%{_libdir}/libbaccats.la
%{_libdir}/libbaccats.so
%{_libdir}/libbacsql-%{version}.so
%{_libdir}/libbacsql.la
%{_libdir}/libbacsql.so
%{_libdir}/libbaccats-%{version}.so

%attr(-, bacula, bacula) %dir %{_var}/bacula
%{_sbindir}/bscan
%{_sbindir}/btape
%{_sbindir}/dbcheck
%{_sbindir}/bacula
%{_sbindir}/bcopy
%{_sbindir}/bextract
%{_sbindir}/bls
%{_sbindir}/bregex
%{_sbindir}/bsmtp
%{_sbindir}/btraceback
%{_sbindir}/bwild
%{_mandir}/man8/bacula*
%{_mandir}/man8/bcopy*
%{_mandir}/man8/bextract*
%{_mandir}/man8/bls*
%{_mandir}/man8/btraceback*
%{_mandir}/man8/dbcheck.8.gz
%{_mandir}/man8/bscan*
%{_mandir}/man8/btape*
%{_mandir}/man8/bregex*
%{_mandir}/man8/bwild*

%files director
%defattr(-, root, root)
%{_sbindir}/bacula-dir
%config(noreplace) %{_sysconfdir}/bacula/bacula-dir.conf
%{_sysconfdir}/rc.d/init.d/bacula-dir


%files postgresql
%defattr(-, root, root)
%{_libdir}/libbaccats-postgresql-%{version}.so
%{_libdir}/libbaccats-postgresql.so
%{_libdir}/libbaccats-postgresql.la
%{_sysconfdir}/bacula/scripts/*postgresql*.sql

%files mysql
%defattr(-, root, root)
%{_libdir}/libbaccats-mysql-%{version}.so
%{_libdir}/libbaccats-mysql.so
%{_libdir}/libbaccats-mysql.la
%{_sysconfdir}/bacula/scripts/*mysql*.sql

%files sqlite
%defattr(-, root, root)
%{_libdir}/libbaccats-sqlite3-%{version}.so
%{_libdir}/libbaccats-sqlite3.so
%{_libdir}/libbaccats-sqlite3.la
%{_sysconfdir}/bacula/scripts/*sqlite3*.sql

%files client
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/bacula/bacula-fd.conf
%{_sysconfdir}/rc.d/init.d/bacula-fd
%{_sbindir}/bacula-fd
%{_sysconfdir}/bacula/plugins/bpipe-fd.so
%{_mandir}/man8/bacula-fd.8.gz

%files storage
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/bacula/bacula-sd.conf
%{_sysconfdir}/rc.d/init.d/bacula-sd
%{_sbindir}/bacula-sd
%{_mandir}/man8/bacula-sd.8.gz

%files console
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/bacula/tray-monitor.conf
%config(noreplace) %{_sysconfdir}/bacula/bconsole.conf
%{_sbindir}/bconsole
%{_sbindir}/bacula-tray-monitor
%{_mandir}/man1/bacula-tray-monitor*
%{_mandir}/man8/bconsole*
%{_datadir}/pixmaps/bacula.png
%{_datadir}/applications/bacula.desktop

#%files console-qt
#%defattr(-, root, root)
#%config(noreplace) %{_sysconfdir}/bacula/bat.conf
#%{_sbindir}/bat
#%{_datadir}/doc/bacula/*html

%changelog
